## nova 15.1.5

=== debian/changelog ===
nova (2:15.1.5-0ubuntu1~cloud6) xenial-ocata; urgency=medium

  * d/control: Ensure that oslo.middleware dependency version is upgraded
    to proper version for ocata (LP: #1830770).

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Tue, 09 Jun 2020 11:39:22 +0000

nova (2:15.1.5-0ubuntu1~cloud5) xenial-ocata; urgency=medium

  * SECURITY UPDATE: ensure underlying environment details not leaked in
    server fault
    - d/p/CVE-2019-14433-1.patch: implement power_off/power_on for the
      FakeDriver.
    - d/p/CVE-2019-14433-2.patch: fix unshelve notification test
      instability.
    - d/p/CVE-2019-14433-3.patch: replace non-admin server fault message
      with exception type class name in nova/compute/utils.py.
    - CVE-2019-14433

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 06 Aug 2019 14:53:46 -0400

nova (2:15.1.5-0ubuntu1~cloud4) xenial-ocata; urgency=medium

  * d/p/pci-do-not-force-remove-allocated-devices.patch: Cherry-picked
    from upstream to prevent forced removal of allocated PCI devices
    (LP: #1633120).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 15 Jul 2019 10:50:29 -0400

nova (2:15.1.5-0ubuntu1~cloud3) xenial-ocata; urgency=medium

  * d/p/(re)fix-disk-size-during-live-migration-with-disk-over-commit.patch:
    Cherry-picked from upstream ocata gerrit reviews to ensure disk size check
    is corectly calculated on the destination host for live migration with
    disk over-commit (LP: #1708572) (LP: #1744079).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 02 Apr 2019 16:06:23 -0400

nova (2:15.1.5-0ubuntu1~cloud1) xenial-ocata; urgency=medium

  * d/p/ensure-rbd-auth-fallback-uses-matching-credentials.patch: Cherry-
    picked from upstream to ensure ceph backend continues to work for upgrades
    from pre-Ocata (LP: #1809454).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 08 Jan 2019 14:47:28 -0500

nova (2:15.1.5-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New stable point release for OpenStack Ocata (LP: #1806038).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 30 Nov 2018 08:15:20 -0500

nova (2:15.1.3-0ubuntu1~cloud1) xenial-ocata; urgency=medium

  * d/control: Drop circular dependencies. nova-compute depends on
    nova-compute-* packages. nova-compute-* packages shouldn't depend
    on nova-compute. nova-compute-* should however depend on nova-common.
    (LP: #1761140).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 27 Jun 2018 10:53:25 -0400

nova (2:15.1.3-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New stable point release for OpenStack Ocata (LP: #1778729).
  * d/p/mock-utils.execute-in-qemu-img-unit-test.patch: Cherry-picked from
    upstream stable/pike gerrit review to fix failing unit test (LP: #1765122).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 26 Jun 2018 16:45:08 -0400

nova (2:15.1.0-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New stable point release for OpenStack Ocata (LP: #1747066).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 02 Feb 2018 15:36:14 -0500

nova (2:15.0.8-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 04 Dec 2017 23:27:34 +0000

nova (2:15.0.8-0ubuntu1) zesty; urgency=medium

  * New stable point release for OpenStack Ocata (LP: #1736149).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 04 Dec 2017 10:06:44 -0500

nova (2:15.0.7-0ubuntu1) zesty; urgency=medium

  * New stable point release for OpenStack Ocata (LP: #1718730).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 21 Sep 2017 13:25:17 -0400

nova (2:15.0.6-0ubuntu1.1) zesty; urgency=medium

  * d/nova-common.postinst: Don't sync database if connection is not defined
    in /etc/nova/nova.conf (LP: #1713059).

 -- Felipe Reyes <felipe.reyes@canonical.com>  Tue, 29 Aug 2017 15:40:07 -0300

nova (2:15.0.6-0ubuntu1) zesty; urgency=medium

  * New stable point release for OpenStack Ocata (LP: #1706297).
  * d/p/aarch64-libvirt-compat.patch: Compatibility shim to resolve
    issues on aarch64 architecture (LP: #1697610).

 -- James Page <james.page@ubuntu.com>  Tue, 25 Jul 2017 16:39:30 +0100

nova (2:15.0.5-0ubuntu1) zesty; urgency=medium

  * New upstream stable release for OpenStack Ocata (LP: #1696139).

 -- James Page <james.page@ubuntu.com>  Wed, 07 Jun 2017 16:01:24 +0100

=== debian/control ===
Source: nova
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Openstack Maintainers <openstack@lists.launchpad.net>
Uploaders: Soren Hansen <soren@ubuntu.com>,
           Thomas Goirand <zigo@debian.org>,
Build-Depends: apache2-dev,
               debhelper (>= 9),
               dh-apache2,
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 37ubuntu3~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools (>= 16.0),
               python-sphinx,
Build-Depends-Indep: bandit,
                     genisoimage,
                     openssh-client,
                     python-babel (>= 2.3.4),
                     python-barbicanclient (>= 4.0.0),
                     python-castellan (>= 0.4.0),
                     python-cinderclient (>= 1:1.6.0),
                     python-coverage (>= 4.0),
                     python-cryptography (>= 1.0),
                     python-ddt (>= 1.0.1),
                     python-decorator (>= 3.4.0),
                     python-eventlet (>= 0.18.2),
                     python-fixtures (>= 3.0.0),
                     python-gabbi (>= 1.26.1),
                     python-glanceclient (>= 1:2.5.0),
                     python-greenlet (>= 0.3.2),
                     python-hacking (>= 0.10.0),
                     python-ironicclient (>= 1.10.0),
                     python-iso8601 (>= 0.1.11),
                     python-jinja2 (>= 2.8),
                     python-jsonschema (>= 2.0.0),
                     python-keystoneauth1 (>= 2.18.0),
                     python-keystonemiddleware (>= 4.12.0),
                     python-lxml (>= 2.3),
                     python-microversion-parse (>= 0.1.2),
                     python-migrate (>= 0.9.6),
                     python-mock (>= 2.0),
                     python-mox3 (>= 0.7.0),
                     python-netaddr (>= 0.7.13),
                     python-netifaces (>= 0.10.4),
                     python-neutronclient (>= 1:5.1.0),
                     python-openstackdocstheme (>= 1.5.0),
                     python-os-api-ref (>= 1.0.0),
                     python-os-brick (>= 1.8.0),
                     python-os-testr (>= 0.8.0),
                     python-os-vif (>= 1.4.0),
                     python-os-win (>= 1.4.0),
                     python-os-xenapi (>= 0.1.1),
                     python-oslo.cache (>= 1.5.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.context (>= 2.9.0),
                     python-oslo.db (>= 4.15.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.11.0),
                     python-oslo.messaging (>= 5.14.0),
                     python-oslo.middleware (>= 3.23.0),
                     python-oslo.policy (>= 1.17.0),
                     python-oslo.privsep (>= 1.9.0),
                     python-oslo.reports (>= 0.6.0),
                     python-oslo.rootwrap (>= 5.0.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.18.0),
                     python-oslo.versionedobjects (>= 1.17.0),
                     python-oslo.vmware (>= 2.15.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1.10.0),
                     python-osprofiler (>= 1.4.0),
                     python-paramiko (>= 2.0),
                     python-paste,
                     python-pastedeploy (>= 1.5.0),
                     python-pep8,
                     python-prettytable (>= 0.7.1),
                     python-psutil (>= 1.2.1),
                     python-psycopg2 (>= 2.5),
                     python-pymysql,
                     python-requests (>= 2.10.0),
                     python-requests-mock (>= 1.1),
                     python-rfc3986 (>= 0.3.1),
                     python-routes (>= 1.12.3),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.17.1),
                     python-tempest-lib (>= 0.14.0),
                     python-testrepository (>= 0.0.18),
                     python-testresources (>= 0.2.4),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-webob (>= 1.6.0),
                     python-websockify (>= 0.8.0),
                     python-wsgi-intercept (>= 1.4.1),
Build-Conflicts: python-cjson,
Standards-Version: 3.9.6
Homepage: http://launchpad.net/nova
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/nova
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/nova
XS-Testsuite: autopkgtest
X-Python-Version: >= 2.7

Package: python-nova
Architecture: all
Section: python
Depends: openssh-client,
         openssl,
         python-babel (>= 2.3.4),
         python-castellan (>= 0.4.0),
         python-cinderclient (>= 1:1.6.0),
         python-cryptography (>= 1.0),
         python-decorator (>= 3.4.0),
         python-eventlet (>= 0.18.2),
         python-glanceclient (>= 1:2.5.0),
         python-greenlet (>= 0.3.2),
         python-iso8601 (>= 0.1.11),
         python-jinja2 (>= 2.8),
         python-jsonschema (>= 2.0.0),
         python-keystoneauth1 (>= 2.14.0),
         python-keystonemiddleware (>= 4.2.0),
         python-lxml (>= 2.3),
         python-microversion-parse (>= 0.1.2),
         python-migrate (>= 0.9.6),
         python-netaddr (>= 0.7.13),
         python-netifaces (>= 0.10.4),
         python-neutronclient (>= 4.2.0),
         python-os-brick (>= 1.8.0),
         python-os-vif (>= 1.3.0),
         python-os-win (>= 1.1.0),
         python-os-xenapi,
         python-oslo.cache (>= 1.5.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.context (>= 2.4.0),
         python-oslo.db (>= 4.11.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.11.0),
         python-oslo.messaging (>= 5.14.0),
         python-oslo.middleware (>= 3.23.0),
         python-oslo.policy (>= 1.17.0),
         python-oslo.privsep (>= 1.9.0),
         python-oslo.reports (>= 0.6.0),
         python-oslo.rootwrap (>= 2.0.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.18.0),
         python-oslo.versionedobjects (>= 1.17.0),
         python-osprofiler,
         python-paramiko (>= 1.16.0),
         python-paste,
         python-pastedeploy (>= 1.5.0),
         python-prettytable (>= 0.7.1),
         python-psutil (>= 1.1.1),
         python-pymysql,
         python-requests (>= 2.10.0),
         python-rfc3986 (>= 0.2.0),
         python-routes (>= 1.12.3),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.16.0),
         python-webob (>= 1.6.0),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-ldap,
Conflicts: python-cjson,
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides},
Description: OpenStack Compute Python libraries
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This package contains the core Python parts of Nova.

Package: nova-common
Architecture: all
Depends: adduser,
         python-nova (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends}
Provides: ${python:Provides},
Recommends: python-glanceclient,
            python-keystone,
Description: OpenStack Compute - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This package contains things that are needed by all parts of Nova.

Package: nova-compute
Architecture: all
Depends: bridge-utils,
         nova-common (= ${binary:Version}),
         nova-compute-kvm | nova-compute-hypervisor,
         ${misc:Depends},
         ${python:Depends}
Description: OpenStack Compute - compute node base
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This is the package you will install on the nodes that will run your
 virtual machines.

Package: nova-compute-libvirt
Architecture: all
Depends: adduser,
         ebtables,
         genisoimage,
         iptables,
         kpartx,
         libvirt-bin,
         nova-common (= ${binary:Version}),
         open-iscsi,
         parted,
         python-libvirt,
         qemu-utils,
         vlan,
         ${misc:Depends},
         ${python:Depends}
Suggests: guestmount,
          multipath-tools,
          rsync,
          sg3-utils,
          sysfsutils,
Description: OpenStack Compute - compute node libvirt support
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This dependency package provides common dependencies and setup for all libvirt
 based hypervisor options.

Package: nova-compute-lxc
Architecture: all
Depends: nova-compute-libvirt (= ${binary:Version}), ${misc:Depends}
Provides: nova-compute-hypervisor,
Conflicts: nova-compute-hypervisor,
Description: OpenStack Compute - compute node (LXC)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/./g')
export OSLO_PACKAGE_VERSION=$(VERSION)
export PBR_VERSION=$(VERSION)
SHELL := /bin/sh -e


include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with apache2,python2,systemd

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/build/* doc/source/api doc/.autogenerated
	rm -rf tests.sqlite clean.sqlite run_tests.log
	rm -rf CA
	rm -f po/nova.pot
	rm -rf .autogenerated
	rm -f debian/*.init debian/*.service debian/*.upstart
	rm -rf .testrepository

override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	mkdir -p doc/build/html
	mkdir -p doc/build/man
	sphinx-build -b man doc/source doc/build/man
	sphinx-build -b html doc/source doc/build/html
endif

get-orig-source:
	uscan --verbose --rename --destdir=../build-area

override_dh_install:
	# Fix any api sample template files with broken permissions
	PYTHONPATH=$(CURDIR) oslopolicy-sample-generator --config-file=etc/nova/nova-policy-generator.conf
	PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=etc/nova/nova-config-generator.conf
	$(SHELL) debian/setup-nova-config.sh $(CURDIR)/debian/nova-conf.dist $(CURDIR)/etc/nova/nova.conf.sample
	cp etc/nova/nova.conf.sample etc/nova/nova.conf
	find $(CURDIR)/debian/tmp -name *.tpl -exec chmod a-x {} \;
	dh_install --fail-missing -Xbin/nova-all
	chmod 440 $(CURDIR)/debian/nova-common/etc/sudoers.d/nova_sudoers
	install -D -m 0644 $(CURDIR)/etc/nova/logging_sample.conf $(CURDIR)/debian/nova-common/etc/nova/logging.conf

	# Work around to start nova-compute daemons while running autopkgtest.
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/etc/nova/nova.conf placement os_region_name openstack

	for hypervisor in qemu kvm xen lxc vmware; do \
		install -D -m 0600 $(CURDIR)/debian/nova-compute-$${hypervisor}.conf $(CURDIR)/debian/nova-compute-$${hypervisor}/etc/nova/nova-compute.conf; \
	done
	find $(CURDIR)/debian -name ".gitignore" -delete

override_dh_fixperms:
	dh_fixperms -Xnova_sudoers -Xnova_tgt.conf

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	OS_TEST_PATH=./nova/tests/unit ostestr
endif

## nova 16.0.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
decorator>=3.4.0 # BSD
eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
Jinja2!=2.9.0,!=2.9.1,!=2.9.2,!=2.9.3,!=2.9.4,>=2.8 # BSD License (3 clause)
keystonemiddleware>=4.12.0 # Apache-2.0
lxml!=3.7.0,>=2.3 # BSD
Routes>=2.3.1 # MIT
cryptography!=2.0,>=1.6 # BSD/Apache-2.0
WebOb>=1.7.1 # MIT
greenlet>=0.3.2 # MIT
PasteDeploy>=1.5.0 # MIT
Paste # MIT
PrettyTable<0.8,>=0.7.1 # BSD
sqlalchemy-migrate>=0.11.0 # Apache-2.0
netaddr!=0.7.16,>=0.7.13 # BSD
netifaces>=0.10.4 # MIT
paramiko>=2.0 # LGPLv2.1+
Babel!=2.4.0,>=2.3.4 # BSD
enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
iso8601>=0.1.11 # MIT
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
python-cinderclient>=3.1.0 # Apache-2.0
keystoneauth1>=3.1.0 # Apache-2.0
python-neutronclient>=6.3.0 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
six>=1.9.0 # MIT
stevedore>=1.20.0 # Apache-2.0
setuptools!=24.0.0,!=34.0.0,!=34.0.1,!=34.0.2,!=34.0.3,!=34.1.0,!=34.1.1,!=34.2.0,!=34.3.0,!=34.3.1,!=34.3.2,!=36.2.0,>=16.0 # PSF/ZPL
websockify>=0.8.0 # LGPLv3
oslo.cache>=1.5.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.config!=4.3.0,!=4.4.0,>=4.0.0 # Apache-2.0
oslo.context>=2.14.0 # Apache-2.0
oslo.log>=3.22.0 # Apache-2.0
oslo.reports>=0.6.0 # Apache-2.0
oslo.serialization!=2.19.1,>=1.10.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
oslo.db>=4.24.0 # Apache-2.0
oslo.rootwrap>=5.0.0 # Apache-2.0
oslo.messaging!=5.25.0,>=5.24.2 # Apache-2.0
oslo.policy>=1.23.0 # Apache-2.0
oslo.privsep!=1.17.0,>=1.9.0 # Apache-2.0
oslo.i18n!=3.15.2,>=2.1.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
rfc3986>=0.3.1 # Apache-2.0
oslo.middleware>=3.27.0 # Apache-2.0
psutil>=3.2.2 # BSD
oslo.versionedobjects>=1.17.0 # Apache-2.0
os-brick>=1.15.2 # Apache-2.0
os-traits>=0.3.1 # Apache-2.0
os-vif>=1.7.0 # Apache-2.0
os-win>=2.0.0 # Apache-2.0
castellan>=0.7.0 # Apache-2.0
microversion-parse>=0.1.2 # Apache-2.0
os-xenapi>=0.2.0 # Apache-2.0
tooz>=1.47.0 # Apache-2.0
cursive>=0.1.2 # Apache-2.0
pypowervm>=1.1.6 # Apache-2.0

=== debian/changelog ===
nova (2:16.0.1-0ubuntu1) artful; urgency=medium

  * New stable point release for OpenStack Pike (LP: #1719728).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 27 Sep 2017 09:59:14 -0400

nova (2:16.0.0-0ubuntu2) artful; urgency=medium

  * d/p/qemu-2.10-compat.patch: Compatibility patch to resolve issues
    with qemu-img info calls on running instances, which blocks live
    migration of instances among other things (LP: #1718133).

 -- James Page <james.page@ubuntu.com>  Wed, 20 Sep 2017 18:12:27 +0100

nova (2:16.0.0-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Aug 2017 14:55:07 +0100

nova (2:16.0.0~rc2-0ubuntu3) artful; urgency=medium

  * d/tests/nova-daemons: Run db sync prior to testing services are running.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 29 Aug 2017 16:36:46 -0400

nova (2:16.0.0~rc2-0ubuntu2) artful; urgency=medium

  * d/nova-common.postinst: Drop db sync (LP: #1713059).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 29 Aug 2017 11:12:46 -0400

nova (2:16.0.0~rc2-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 25 Aug 2017 08:22:28 -0400

nova (2:16.0.0~rc1-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Rebased.
  * d/p/skip-ssl-tests.patch: Skip SSL tests that are timing out.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Aug 2017 21:55:53 -0400

nova (2:16.0.0~b3-0ubuntu3) artful; urgency=medium

  * d/control: Set min python-requests to 2.14.2.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Aug 2017 16:18:50 -0400

nova (2:16.0.0~b3-0ubuntu2) artful; urgency=medium

  * d/p/skip-test.patch: Skip test_validate_volume_no_mtab_entry as it
    depends on /etc/mtab which isn't available in LP builds.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 Aug 2017 12:12:04 -0400

nova (2:16.0.0~b3-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/arm-console-patch.patch: Rebased.
  * d/p/aarch64-libvirt-compat.patch: Rebased.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.
  * d/rules: Set PYTHONPATH for nova import when running sphinx.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 31 Jul 2017 14:49:40 -0400

nova (2:16.0.0~b2-0ubuntu2) artful; urgency=medium

  * d/tests/*: Drop nova-cert from DEP-8 tests.
  * d/p/aarch64-libvirt-compat.patch: Compatibility shim to resolve
    issues on aarch64 architecture (LP: #1697610).

 -- James Page <james.page@ubuntu.com>  Thu, 27 Jul 2017 13:29:38 +0100

nova (2:16.0.0~b2-0ubuntu1) artful; urgency=medium

  * d/p/drop-iscsi-test.patch: Drop, included upstream.
  * d/control: Add python-pypowervm to (Build-)Depends.
  * d/*: wrap-and-sort.
  * d/python-nova.install: Install WSGI entry points for API and
    Metadata services.
  * d/nova-cert.*,control: Drop nova-cert package, removed post
    deprecation upstream.
  * d/control: Add python-os-traits to (Build-)Depends.
  * New upstream release for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Bumped Standards-Version to 3.9.8, no changes.

 -- James Page <james.page@ubuntu.com>  Fri, 16 Jun 2017 16:48:51 +0100

nova (2:16.0.0~b1-0ubuntu4) artful; urgency=medium

  * Resolve autopkgtest failures:
    - d/rules: Set sane default for state_path in nova.conf.
    - d/rules: Set sane default for nova api database connection.
    - d/nova-common.postinst: Sync Nova API database and fix permissions
      if configured with sqlite.

 -- James Page <james.page@ubuntu.com>  Tue, 02 May 2017 21:35:01 -0400

nova (2:16.0.0~b1-0ubuntu3) artful; urgency=medium

  * d/p/drop-iscsi-test.patch: Cherry pick fix for compat with os-brick
    1.12.0.
  * d/rules,control: Switch to crudini to set defaults for nova.conf.

 -- James Page <james.page@ubuntu.com>  Fri, 28 Apr 2017 15:50:08 +0100

nova (2:16.0.0~b1-0ubuntu2) artful; urgency=medium

  * No-change rebuild for sqlalchemy 1.1.x.

 -- James Page <james.page@ubuntu.com>  Fri, 28 Apr 2017 09:58:52 +0100

nova (2:16.0.0~b1-0ubuntu1) artful; urgency=medium

  [ Chuck Short ]
  * d/pydist-override: Remove dead dependencies.
  * d/README.Debian: Remove outdated information.
  * d/debian/xen-openvswitch-nova.rules: Dropped no longer installed anywhere.
  * d/control: Add python-tooz
  * d/rules, d/nova-conf.dist, d/setup-nova-config.sh:
    - Remove deprecated configuration options.
    - Simplify /etc/nova/nova.conf file generation.
  * d/control: Add python-cursive as dependency.

  [ James Page ]
  * New upstream milestone for OpenStack Pike.
  * Align (Build-)Depends with upstream milestone.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Apr 2017 17:11:59 +0100

=== debian/control ===
--- 
+++ 
@@ -12,66 +12,68 @@
                dh-systemd,
                openstack-pkg-tools (>= 37ubuntu3~),
                python-all,
-               python-pbr (>= 1.8),
+               python-pbr (>= 2.0.0),
                python-setuptools (>= 16.0),
-               python-sphinx,
+               python-sphinx (>= 1.5.1),
 Build-Depends-Indep: bandit,
+                     crudini,
                      genisoimage,
                      openssh-client,
                      python-babel (>= 2.3.4),
                      python-barbicanclient (>= 4.0.0),
-                     python-castellan (>= 0.4.0),
-                     python-cinderclient (>= 1:1.6.0),
+                     python-castellan (>= 0.7.0),
+                     python-cinderclient (>= 1:3.1.0),
                      python-coverage (>= 4.0),
-                     python-cryptography (>= 1.0),
+                     python-cryptography (>= 1.6),
+                     python-cursive (>= 0.1.1),
                      python-ddt (>= 1.0.1),
                      python-decorator (>= 3.4.0),
                      python-eventlet (>= 0.18.2),
                      python-fixtures (>= 3.0.0),
-                     python-gabbi (>= 1.26.1),
-                     python-glanceclient (>= 1:2.5.0),
+                     python-gabbi (>= 1.35.0),
+                     python-glanceclient (>= 1:2.8.0),
                      python-greenlet (>= 0.3.2),
                      python-hacking (>= 0.10.0),
-                     python-ironicclient (>= 1.10.0),
+                     python-ironicclient (>= 1.14.0),
                      python-iso8601 (>= 0.1.11),
                      python-jinja2 (>= 2.8),
                      python-jsonschema (>= 2.0.0),
-                     python-keystoneauth1 (>= 2.18.0),
+                     python-keystoneauth1 (>= 3.1.0),
                      python-keystonemiddleware (>= 4.12.0),
                      python-lxml (>= 2.3),
                      python-microversion-parse (>= 0.1.2),
-                     python-migrate (>= 0.9.6),
+                     python-migrate (>= 0.11.0),
                      python-mock (>= 2.0),
                      python-mox3 (>= 0.7.0),
                      python-netaddr (>= 0.7.13),
                      python-netifaces (>= 0.10.4),
-                     python-neutronclient (>= 1:5.1.0),
-                     python-openstackdocstheme (>= 1.5.0),
+                     python-neutronclient (>= 1:6.3.0),
+                     python-openstackdocstheme (>= 1.16.0),
                      python-os-api-ref (>= 1.0.0),
-                     python-os-brick (>= 1.8.0),
+                     python-os-brick (>= 1.15.2),
                      python-os-testr (>= 0.8.0),
+                     python-os-traits (>= 0.3.1),
                      python-os-vif (>= 1.4.0),
-                     python-os-win (>= 1.4.0),
-                     python-os-xenapi (>= 0.1.1),
+                     python-os-win (>= 2.0.0),
+                     python-os-xenapi (>= 0.2.0),
                      python-oslo.cache (>= 1.5.0),
                      python-oslo.concurrency (>= 3.8.0),
-                     python-oslo.config (>= 1:3.14.0),
-                     python-oslo.context (>= 2.9.0),
-                     python-oslo.db (>= 4.15.0),
+                     python-oslo.config (>= 1:4.0.0),
+                     python-oslo.context (>= 2.14.0),
+                     python-oslo.db (>= 4.24.0),
                      python-oslo.i18n (>= 2.1.0),
-                     python-oslo.log (>= 3.11.0),
-                     python-oslo.messaging (>= 5.14.0),
-                     python-oslo.middleware (>= 3.23.0),
-                     python-oslo.policy (>= 1.17.0),
+                     python-oslo.log (>= 3.22.0),
+                     python-oslo.messaging (>= 5.25.0),
+                     python-oslo.middleware (>= 3.27.0),
+                     python-oslo.policy (>= 1.23.0),
                      python-oslo.privsep (>= 1.9.0),
                      python-oslo.reports (>= 0.6.0),
                      python-oslo.rootwrap (>= 5.0.0),
                      python-oslo.serialization (>= 1.10.0),
                      python-oslo.service (>= 1.10.0),
-                     python-oslo.utils (>= 3.18.0),
+                     python-oslo.utils (>= 3.20.0),
                      python-oslo.versionedobjects (>= 1.17.0),
                      python-oslo.vmware (>= 2.15.0),
-                     python-oslosphinx (>= 4.7.0),
                      python-oslotest (>= 1.10.0),
                      python-osprofiler (>= 1.4.0),
                      python-paramiko (>= 2.0),
@@ -79,26 +81,28 @@
                      python-pastedeploy (>= 1.5.0),
                      python-pep8,
                      python-prettytable (>= 0.7.1),
-                     python-psutil (>= 1.2.1),
+                     python-psutil (>= 3.2.2),
                      python-psycopg2 (>= 2.5),
                      python-pymysql,
-                     python-requests (>= 2.10.0),
+                     python-pypowervm (>= 1.1.6),
+                     python-requests (>= 2.14.2),
                      python-requests-mock (>= 1.1),
                      python-rfc3986 (>= 0.3.1),
-                     python-routes (>= 1.12.3),
+                     python-routes (>= 2.3.1),
                      python-six (>= 1.9.0),
                      python-sqlalchemy (>= 1.0.10),
-                     python-stevedore (>= 1.17.1),
-                     python-tempest-lib (>= 0.14.0),
+                     python-stevedore (>= 1.20.0),
+                     python-tempest (>= 1:14.0.0),
                      python-testrepository (>= 0.0.18),
                      python-testresources (>= 0.2.4),
                      python-testscenarios (>= 0.4),
                      python-testtools (>= 1.4.0),
-                     python-webob (>= 1.6.0),
+                     python-tooz (>= 1.47.0),
+                     python-webob (>= 1.7.1),
                      python-websockify (>= 0.8.0),
                      python-wsgi-intercept (>= 1.4.1),
 Build-Conflicts: python-cjson,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://launchpad.net/nova
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/nova
 Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/nova
@@ -111,61 +115,65 @@
 Depends: openssh-client,
          openssl,
          python-babel (>= 2.3.4),
-         python-castellan (>= 0.4.0),
-         python-cinderclient (>= 1:1.6.0),
-         python-cryptography (>= 1.0),
+         python-castellan (>= 0.7.0),
+         python-cinderclient (>= 1:3.1.0),
+         python-cryptography (>= 1.6),
+         python-cursive (>= 0.1.1),
          python-decorator (>= 3.4.0),
          python-eventlet (>= 0.18.2),
-         python-glanceclient (>= 1:2.5.0),
+         python-glanceclient (>= 1:2.8.0),
          python-greenlet (>= 0.3.2),
          python-iso8601 (>= 0.1.11),
          python-jinja2 (>= 2.8),
          python-jsonschema (>= 2.0.0),
-         python-keystoneauth1 (>= 2.14.0),
+         python-keystoneauth1 (>= 3.1.0),
          python-keystonemiddleware (>= 4.2.0),
          python-lxml (>= 2.3),
          python-microversion-parse (>= 0.1.2),
-         python-migrate (>= 0.9.6),
+         python-migrate (>= 0.11.0),
          python-netaddr (>= 0.7.13),
          python-netifaces (>= 0.10.4),
-         python-neutronclient (>= 4.2.0),
-         python-os-brick (>= 1.8.0),
-         python-os-vif (>= 1.3.0),
-         python-os-win (>= 1.1.0),
-         python-os-xenapi,
+         python-neutronclient (>= 1:6.3.0),
+         python-os-brick (>= 1.15.2),
+         python-os-traits (>= 0.3.1),
+         python-os-vif (>= 1.4.0),
+         python-os-win (>= 2.0.0),
+         python-os-xenapi (>= 0.2.0),
          python-oslo.cache (>= 1.5.0),
          python-oslo.concurrency (>= 3.8.0),
-         python-oslo.config (>= 1:3.14.0),
-         python-oslo.context (>= 2.4.0),
-         python-oslo.db (>= 4.11.0),
+         python-oslo.config (>= 1:4.0.0),
+         python-oslo.context (>= 2.14.0),
+         python-oslo.db (>= 4.24.0),
          python-oslo.i18n (>= 2.1.0),
-         python-oslo.log (>= 3.11.0),
-         python-oslo.messaging (>= 5.14.0),
-         python-oslo.middleware (>= 3.23.0),
-         python-oslo.policy (>= 1.17.0),
+         python-oslo.log (>= 3.22.0),
+         python-oslo.messaging (>= 5.25.0),
+         python-oslo.middleware (>= 3.27.0),
+         python-oslo.policy (>= 1.23.0),
          python-oslo.privsep (>= 1.9.0),
          python-oslo.reports (>= 0.6.0),
          python-oslo.rootwrap (>= 2.0.0),
          python-oslo.serialization (>= 1.10.0),
          python-oslo.service (>= 1.10.0),
-         python-oslo.utils (>= 3.18.0),
+         python-oslo.utils (>= 3.20.0),
          python-oslo.versionedobjects (>= 1.17.0),
          python-osprofiler,
          python-paramiko (>= 1.16.0),
          python-paste,
          python-pastedeploy (>= 1.5.0),
          python-prettytable (>= 0.7.1),
-         python-psutil (>= 1.1.1),
+         python-psutil (>= 3.2.2),
          python-pymysql,
-         python-requests (>= 2.10.0),
+         python-pypowervm (>= 1.1.6),
+         python-requests (>= 2.14.2),
          python-rfc3986 (>= 0.2.0),
-         python-routes (>= 1.12.3),
+         python-routes (>= 2.3.1),
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 1.0.10),
-         python-stevedore (>= 1.16.0),
-         python-webob (>= 1.6.0),
-         ${misc:Depends},
-         ${python:Depends}
+         python-stevedore (>= 1.20.0),
+         python-tooz (>= 1.47.0),
+         python-webob (>= 1.7.1),
+         ${misc:Depends},
+         ${python:Depends},
 Suggests: python-ldap,
 Conflicts: python-cjson,
 XB-Python-Version: ${python:Versions}
@@ -192,9 +200,9 @@
 Depends: adduser,
          python-nova (= ${binary:Version}),
          ${misc:Depends},
-         ${python:Depends}
+         ${python:Depends},
 Provides: ${python:Provides},
-Recommends: python-glanceclient,
+Recommends: python-glanceclient (>= 1:2.8.0),
             python-keystone,
 Description: OpenStack Compute - common files
  OpenStack is a reliable cloud infrastructure. Its mission is to produce
@@ -219,7 +227,7 @@
          nova-common (= ${binary:Version}),
          nova-compute-kvm | nova-compute-hypervisor,
          ${misc:Depends},
-         ${python:Depends}
+         ${python:Depends},
 Description: OpenStack Compute - compute node base
  OpenStack is a reliable cloud infrastructure. Its mission is to produce
  the ubiquitous cloud computing platform that will meet the needs of public
@@ -246,14 +254,14 @@
          iptables,
          kpartx,
          libvirt-bin,
-         nova-common (= ${binary:Version}),
+         nova-compute (= ${binary:Version}),
          open-iscsi,
          parted,
          python-libvirt,
          qemu-utils,
          vlan,
          ${misc:Depends},
-         ${python:Depends}
+         ${python:Depends},
 Suggests: guestmount,
           multipath-tools,
           rsync,
@@ -279,9 +287,3 @@
 
 Package: nova-compute-lxc
 Architecture: all
-Depends: nova-compute-libvirt (= ${binary:Version}), ${misc:Depends}
-Provides: nova-compute-hypervisor,
-Conflicts: nova-compute-hypervisor,
-Description: OpenStack Compute - compute node (LXC)
- OpenStack is a reliable cloud infrastructure. Its mission is to produce
- the ubiquitous cloud computing platform that will meet the needs of public

## nova 16.1.2

=== debian/changelog ===
nova (2:16.1.2-0ubuntu1) artful; urgency=medium

  * New stable point release for OpenStack Pike (LP: #1763320).
  * d/p/*: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 01 May 2018 09:41:19 -0400

nova (2:16.1.0-0ubuntu1) artful; urgency=medium

  [ James Page ]
  * Add Depends nova-compute-kvm -> ipxe-qemu to ensure that required
    ROM's are installed for all architectures (LP: #1754015).

  [ Corey Bryant ]
  * New stable point release for OpenStack Pike (LP: #1758046).
  * d/p/aarch64-libvirt-compat.patch: Rebased and updated to mock
    os.path.exists return value to true in order to simulate
    _has_uefi_support returning true (LP: #1758060).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 22 Mar 2018 08:44:37 -0400

nova (2:16.0.4-0ubuntu1) artful; urgency=medium

  * New upstream version.
  * d/p/skip-test.patch: Dropped. Fixed in new upstream version.
  * d/p/*: Rebased.
  * New stable point release for OpenStack Pike (LP: #1747065).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 02 Feb 2018 15:26:25 -0500

nova (2:16.0.3-0ubuntu1) artful; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/pike branch.
  * New upstream version.
  * d/p/*: Rebased.

  [ James Page ]
  * d/p/qemu-2.10-compat.patch: Drop, fix included upstream.

  [ Corey Bryant ]
  * New stable point release for OpenStack Pike (LP: #1734990).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 28 Nov 2017 14:55:36 -0500

## nova 16.1.7

=== debian/changelog ===
nova (2:16.1.7-0ubuntu1~cloud3) xenial-pike; urgency=medium

  * SECURITY UPDATE: ensure underlying environment details not leaked in
    server fault
    - d/p/CVE-2019-14433-1.patch: implement power_off/power_on for the
      FakeDriver.
    - d/p/CVE-2019-14433-2.patch: replace non-admin server fault message
      with exception type class name in nova/compute/utils.py.
    - CVE-2019-14433

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 06 Aug 2019 13:51:46 -0400

nova (2:16.1.7-0ubuntu1~cloud2) xenial-pike; urgency=medium

  * d/p/(re)fix-disk-size-during-live-migration-with-disk-over-commit.patch:
    Cherry-picked from upstream stable/pike branch to ensure disk size check
    is corectly calculated on the destination host for live migration with
    disk over-commit (LP: #1708572) (LP: #1744079).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 02 Apr 2019 15:54:14 -0400

nova (2:16.1.7-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New stable point release for OpenStack Pike (LP: #1818070)

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@gmail.com>  Mon, 11 Mar 2019 10:08:35 +0100

nova (2:16.1.6-0ubuntu1~cloud1) xenial-pike; urgency=medium

  * d/p/ensure-rbd-auth-fallback-uses-matching-credentials.patch: Cherry-
    picked from upstream to ensure ceph backend continues to work for upgrades
    from pre-Ocata (LP: #1809454).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 08 Jan 2019 14:40:07 -0500

nova (2:16.1.6-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New stable point release for OpenStack Pike (LP: #1806041).
  * d/p/mock-utils.execute-in-qemu-img-unit-test.patch: Dropped. Fixed in
    stable point release.
  * d/p/revert-stestr.patch: Revert upstream backport that switched to using
    stestr (LP: #1806079).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 30 Nov 2018 10:10:42 -0500

nova (2:16.1.4-0ubuntu1~cloud1) xenial-pike; urgency=medium

  * d/control: Drop circular dependencies. nova-compute depends on
    nova-compute-* packages. nova-compute-* packages shouldn't depend
    on nova-compute. nova-compute-* should however depend on nova-common.
    (LP: #1761140).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 27 Jun 2018 10:51:41 -0400

nova (2:16.1.4-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New stable point release for OpenStack Pike (LP: #1778739).
  * d/p/mock-utils.execute-in-qemu-img-unit-test.patch: Cherry-picked from
    upstream stable/pike gerrit review to fix failing unit test (LP: #1765122).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 26 Jun 2018 14:24:39 -0400

nova (2:16.1.2-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 03 May 2018 22:26:57 +0000

=== debian/control ===
--- 
+++ 
@@ -254,7 +254,7 @@
          iptables,
          kpartx,
          libvirt-bin,
-         nova-compute (= ${binary:Version}),
+         nova-common (= ${binary:Version}),
          open-iscsi,
          parted,
          python-libvirt,

=== debian/tests/control ===
Tests: nova-compute-daemons nova-daemons nova-api python-nova
Depends: nova-conductor, nova-scheduler, nova-novncproxy,
 nova-xvpvncproxy, nova-api, nova-placement-api, nova-console,
 nova-consoleauth, python-nova, rabbitmq-server, nova-compute
Restrictions: needs-root
